Subject: Re: bug#41242: Port feature/native-comp to Windows - Reduce the number of files probed when finding a lisp file.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jun 2020 18:02:47 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Mon, 01 Jun 2020 19:24:43 +0000
> 
> In which folders are we going to search if we do (load "...a/path/foo.eln")?
> 
> I believe in this case we should search the file only in "...a/path/"
> because the user really want to load this specific file.  Am I correct?

Isn't that already so when we look for *.elc files?

> That said IMO this logic is sufficiently complex to deserve a minimum of
> testing to make sure we have it under control.  Not sure if the best
> place is files-tests.el or comp-tests.el.
> 
> Maybe Eli likes to gives his opinion on this last point and on the patch
> in general.

I think the logic should be consistent with how we search for Lisp
files in general.